/*
 * config.h
 *
 *  Created on: Apr 23, 2021
 *      Author: Thom Maughan, tm@mbari.org
 */

#ifndef MPHOX_CONFIG_H_
#define MPHOX_CONFIG_H_


void configuration_menu(void);
void print_config_data_fields(void);
void config_data_fields(void);

int print_write_metadata_header(const time_t currentTime, uint32_t printFlg, uint32_t writeFlg);
int write_metadata_header(const time_t currentTime);
void print_metadata_header(const time_t currentTime);

void print_sys_data_structure(void);  // for qa and debug

void print_data_header(void);
int  write_data_header(void);

void get_header(void);
int enter_deployment_note(uint32_t timeout);
void enter_metadata(void);
void enter_pH_sensor_cal_coeff(void);
void change_baud_rate(void);

void print_all_metadata(void);  // print out all metadata
void config_sys_data_default_init(void);

void config_qa_data_init(void);


#endif /* CONFIG_H_ */
